Skip to main content
GET
/
v5
/
taxes
/
userTaxSetup
Get tax profile
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/taxes/userTaxSetup \
  --header 'Authorization: Bearer <token>'
{
  "federalFilingStatus": "SINGLE",
  "stateFilingStatus": "SINGLE",
  "taxState": "DC",
  "taxCountryCode": "<string>",
  "annualW2Income": 10000,
  "tipIncome": 5000,
  "overtimeIncome": 3000,
  "isSetupComplete": true,
  "useW2Withholding": true,
  "federalW2Withholding": 1000.51,
  "stateW2Withholding": 1000.51,
  "numExemptions": 1,
  "useHomeOfficeDeduction": true,
  "homeOfficeArea": 250.5,
  "vehicleBusinessPercent": 49.9,
  "useMileageDeduction": false,
  "useUserEstimatedBusinessMileage": true,
  "userEstimatedBusinessMileage": 1000,
  "useUserEstimatedBusinessExpenses": true,
  "userEstimatedBusinessExpenses": 551.76,
  "useUserEstimatedBusinessRevenue": true,
  "userEstimatedBusinessRevenue": 551.76
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

federalFilingStatus
enum<string>
required

The Tax Federal Filing Status

Available options:
SINGLE,
MARRIED,
MARRIED_SEPARATELY,
HEAD,
WIDOWER
Example:

"SINGLE"

stateFilingStatus
enum<string>
required

The Tax State Filing Status

Available options:
SINGLE,
MARRIED,
MARRIED_SEPARATELY,
HEAD,
WIDOWER
Example:

"SINGLE"

taxState
string
required

The two-character State (or Province) abbreviation for which tax needs to be calculated on

Example:

"DC"

taxCountryCode
string

The ISO 3166-1 alpha-3 country code

annualW2Income
number

The annual W-2 income total for which tax needs to be calculated on

Example:

10000

tipIncome
number

The year-to-date amount of w2 income that the filer has earned from tips

Example:

5000

overtimeIncome
number

The year-to-date amount of w2 income that the filer has earned from overtime

Example:

3000

isSetupComplete
boolean

Whether or not the current user's tax profile is complete

useW2Withholding
boolean

Should be set to true if the user wants to specify their own W-2 Withholding amounts

Example:

true

federalW2Withholding
number

Federal W-2 Withholding amount, if the user wants to specify their own custom amount

Example:

1000.51

stateW2Withholding
number

State W-2 Withholding amount, if the user wants to specify their own custom amount

Example:

1000.51

numExemptions
integer<int32>

The number of state personal exemptions the tax filer qualifies for

Example:

1

useHomeOfficeDeduction
boolean

If the user wants to use the Simplified Home Office Deduction, this should be set to true.

Example:

true

homeOfficeArea
number

Size of home office in sq. ft; required if using the Simplified Home Office Deduction

Example:

250.5

vehicleBusinessPercent
number

Canadian users can provide their own business vehicle percentage (instead of using the mileage numbers to determine percentage)

Example:

49.9

useMileageDeduction
boolean

The IRS dictates that you can only use the Standard Mileage Rate or Actual Auto Expenses. Set this to true if the user will be using the Standard Mileage Rate

Example:

false

useUserEstimatedBusinessMileage
boolean

If the user wants to use their own annual business mileage estimate, this should be set to true.

userEstimatedBusinessMileage
number

Annual business mileage estimate, in miles; required if using user-estimated business mileage

Example:

1000

useUserEstimatedBusinessExpenses
boolean

If the user wants to use their own annual business expenses estimate, this should be set to true.

userEstimatedBusinessExpenses
number

Annual business expenses estimate, required if using user-estimated business expenses

Example:

551.76

useUserEstimatedBusinessRevenue
boolean

If the user wants to use their own annual business income estimate, this should be set to true.

userEstimatedBusinessRevenue
number

Annual business income estimate, required if using user-estimated business income

Example:

551.76